Get account balances
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"currency": "EUR",
"decimals": 18,
"spendable": "125050000000000000000",
"non_spendable": "20000000000000000000",
"processing_deposits": "50000000000000000000",
"processing_withdrawals": "0",
"tokens": [
{
"token": "EURe",
"decimals": 18,
"spendable": "125050000000000000000",
"non_spendable": "20000000000000000000",
"processing_deposits": "50000000000000000000",
"max_instant_withdraw": "145050000000000000000"
}
]
},
{
"currency": "USD",
"decimals": 6,
"spendable": "80250000",
"non_spendable": "0",
"processing_deposits": "0",
"processing_withdrawals": "10000000",
"tokens": [
{
"token": "USDC",
"decimals": 6,
"spendable": "50250000",
"non_spendable": "0",
"processing_deposits": "0",
"max_instant_withdraw": "50250000"
},
{
"token": "USDT",
"decimals": 6,
"spendable": "30000000",
"non_spendable": "0",
"processing_deposits": "0",
"max_instant_withdraw": "30000000"
}
]
}
]
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}Accounts
Get account balances
Retrieves the account’s current balances, grouped by currency and token.
Amounts are integer strings in the smallest unit indicated by decimals.
Before creating a withdrawal, use the selected token’s
max_instant_withdraw as the current upper bound.
GET
/
v1
/
accounts
/
{account_id}
/
balances
Get account balances
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://core.prod.gnosispay.com/partner-api/v1/accounts/{account_id}/balances")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"currency": "EUR",
"decimals": 18,
"spendable": "125050000000000000000",
"non_spendable": "20000000000000000000",
"processing_deposits": "50000000000000000000",
"processing_withdrawals": "0",
"tokens": [
{
"token": "EURe",
"decimals": 18,
"spendable": "125050000000000000000",
"non_spendable": "20000000000000000000",
"processing_deposits": "50000000000000000000",
"max_instant_withdraw": "145050000000000000000"
}
]
},
{
"currency": "USD",
"decimals": 6,
"spendable": "80250000",
"non_spendable": "0",
"processing_deposits": "0",
"processing_withdrawals": "10000000",
"tokens": [
{
"token": "USDC",
"decimals": 6,
"spendable": "50250000",
"non_spendable": "0",
"processing_deposits": "0",
"max_instant_withdraw": "50250000"
},
{
"token": "USDT",
"decimals": 6,
"spendable": "30000000",
"non_spendable": "0",
"processing_deposits": "0",
"max_instant_withdraw": "30000000"
}
]
}
]
}{
"code": 123,
"message": "<string>",
"reason": "<string>"
}